matplotlib installation error

Hardeep Nahal <nahal@...557...> writes:

/usr/bin/ld: /usr/local/lib/libpng.a(png.o): relocation R_X86_64_32
against `a local symbol' can not be used when making a shared object;
recompile with -fPIC

That sounds like your libpng library is broken. Since it is in
/usr/local/lib, it is probably not provided by Debian but installed by
yourself. Doesn't Debian provide libpng?

ImportError: cannot import name Int8

I think this Debian distribution of matplotlib (which is older than
the current release) is incompatible with the current version of
numpy/Numeric that I have installed, but I'm not sure.

Yes. I think there was a period when you had to match versions of numpy
and matplotlib quite closely. Modern numpy does not have Int8, so you
cannot use that version of matplotlib with that version of numpy.

···

--
Jouni K. Sepp�nen